package  org.ts.ddcs.dataStream;

import org.ts.ddcs.datatemplate.DataTemplateInterface;

/**
 * created by swp on 2017/8/30
 */
public interface DataStreamInterface {
    public abstract int dataSize();

    public abstract byte getByte(int pos);

    public abstract byte[] getBytes(int length);

    public abstract byte[] getBytes(int pos, int length);

    public abstract DataTemplateInterface getDataTemplate();
}
